org.apache.commons.math3.ode

## Class ExpandableStatefulODE.SecondaryComponent

- java.lang.Object
- - org.apache.commons.math3.ode.ExpandableStatefulODE.SecondaryComponent

Enclosing class:
  ExpandableStatefulODE

    private static class ExpandableStatefulODE.SecondaryComponent
    extends Object

Components of the compound stateful ODE.

### Field Summary

Fields
`private SecondaryEquations` `equation` Secondary differential equation.
`private EquationsMapper` `mapper` Mapper between local and complete arrays.
`private double[]` `state` State.
`private double[]` `stateDot` State derivative.

### Constructor Summary

Constructors
Constructor and Description
`ExpandableStatefulODE.SecondaryComponent(SecondaryEquations equation, int firstIndex)` Simple constructor.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### equation

    private final SecondaryEquations equation

Secondary differential equation.

#### mapper

    private final EquationsMapper mapper

Mapper between local and complete arrays.

#### state

    private final double[] state

State.

#### stateDot

    private final double[] stateDot

State derivative.

### Constructor Detail

#### ExpandableStatefulODE.SecondaryComponent

    public ExpandableStatefulODE.SecondaryComponent(SecondaryEquations equation,
                                            int firstIndex)

Simple constructor.

Parameters:
  `equation` - secondary differential equation
  `firstIndex` - index to use for the first element in the complete arrays